﻿using System;

namespace LibraryManagement
{
    public class Book
    {
        // Eigenschaften
        public string Title { get; private set; }
        public string Author { get; private set; }
        public string ISBN { get; private set; }
        public bool IsAvailable { get; private set; }

        // Konstruktor
        public Book(string title, string author, string isbn)
        {
            Title = title;
            Author = author;
            ISBN = isbn;
            IsAvailable = true;
        }

        // Methode zum Ausleihen des Buches
        public void Checkout()
        {
            if (IsAvailable)
            {
                IsAvailable = false;
                Console.WriteLine($"'{Title}' wurde ausgeliehen.");
            }
            else
            {
                Console.WriteLine($"'{Title}' ist derzeit nicht verfügbar.");
            }
        }

        // Methode zur Rückgabe des Buches
        public void ReturnBook()
        {
            IsAvailable = true;
            Console.WriteLine($"'{Title}' wurde zurückgegeben.");
        }
    }
}
